Get hierarchical view of folders
GET
/domains/{domainID}/folders/tree
const url = 'https://example.com/api/v1/domains/1/folders/tree?folderID=144115188075855870';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/domains/1/folders/tree?folderID=144115188075855870' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
Query Parameters
Section titled “Query Parameters”folderID
integer
ID of the root folder
Responses
Section titled “ Responses ”Tree of folders returned
Media typeapplication/json
object
folderid
string
name
string
container
string
children
List of child folders (in the same format as the parent)
Array<object>
object
Examplegenerated
{ "folderid": "example", "name": "example", "container": "example", "children": [ {} ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}